smart error - Suse

This is a discussion on smart error - Suse ; Hello group, since my last update via smart I get some this error: # smart update Lade Zwischenspeicher... Traceback (most recent call last): File "/usr/bin/smart", line 194, in main(sys.argv[1:]) File "/usr/bin/smart", line 167, in main exitcode = iface.run(opts.command, opts.argv) File ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: smart error

  1. smart error

    Hello group,

    since my last update via smart I get some this error:

    # smart update
    Lade Zwischenspeicher...
    Traceback (most recent call last):
    File "/usr/bin/smart", line 194, in
    main(sys.argv[1:])
    File "/usr/bin/smart", line 167, in main
    exitcode = iface.run(opts.command, opts.argv)
    File "/usr/lib/python2.5/site-packages/smart/interface.py", line 53, in
    run
    result = _command.main(self._ctrl, opts)
    File "/usr/lib/python2.5/site-packages/smart/commands/update.py", line 77,
    in main
    ctrl.reloadChannels()
    File "/usr/lib/python2.5/site-packages/smart/control.py", line 352, in
    reloadChannels
    if not channel.fetch(self._fetcher, progress):
    File "/usr/lib/python2.5/site-packages/smart/channels/rpm_md.py", line 62,
    in fetch
    item = fetcher.enqueue(repomd)
    File "/usr/lib/python2.5/site-packages/smart/fetcher.py", line 170, in
    enqueue
    item = FetchItem(self, url, mirror)
    File "/usr/lib/python2.5/site-packages/smart/fetcher.py", line 410, in
    __init__
    self._urlobj = URL(mirror.getNext())
    File "/usr/lib/python2.5/site-packages/smart/fetcher.py", line 575, in
    __init__
    self.set(url)
    File "/usr/lib/python2.5/site-packages/smart/fetcher.py", line 608, in set
    user, host = urllib.splituser(host)
    File "/usr/lib/python2.5/urllib.py", line 1041, in splituser
    match = _userprog.match(host)
    TypeError: expected string or buffer

    Can anybody help me to fix this problem? I tried to erase the Channel-List
    at /etc/smart/channels but nothing happens. I use openSUSE 10.2

    Thanks, Matthias

  2. Re: smart error

    question what did you update

  3. Re: smart error

    darklight wrote:

    > question what did you update


    I updated evrything which was old. I can't remember the packages, sorry.

    #smart update; smart upgrade

    My Channels are:

    gnome-community.channel openoffice-extras.channel packman.channel
    guru.channel openoffice-stable.channel smart.channel
    kde-backports.channel openoffice-unstable.channel suse-update.channel
    kde.channel opensuse.channel wine-bs.channel
    kde-community.channel opensuse-non-oss.channel
    mozilla.channel opensuse-tools.channel

    thanks

  4. Re: smart error

    Matthias Gruber wrote:

    > darklight wrote:
    >
    >> question what did you update

    >
    > I updated evrything which was old. I can't remember the packages, sorry.
    >
    > #smart update; smart upgrade
    >
    > My Channels are:
    >
    > gnome-community.channel openoffice-extras.channel packman.channel
    > guru.channel openoffice-stable.channel smart.channel
    > kde-backports.channel openoffice-unstable.channel suse-update.channel
    > kde.channel opensuse.channel wine-bs.channel
    > kde-community.channel opensuse-non-oss.channel
    > mozilla.channel opensuse-tools.channel
    >
    > thanks


    Hi Matthias,

    have you seen any error during upgrade and, if yes, what you did to solve
    them?

    Just as a blind guess it seems that Smart and programs
    in /usr/lib/python2.5/site-packages/smart/ don't cooperate good.
    Use YaST with only opensuse main repository enabled, search for smart and
    request update (icon with letter z) and post what happens.

    --
    Regards,
    Rajko.

  5. Re: smart error

    Thank you for your answers. I fixed the problem. I removed the channel with
    debian-ports for suse. Now everything is working perfect.

    thanks, Matthias


    Rajko M. wrote:

    > Matthias Gruber wrote:
    >
    >> darklight wrote:
    >>
    >>> question what did you update

    >>
    >> I updated evrything which was old. I can't remember the packages, sorry.
    >>
    >> #smart update; smart upgrade
    >>
    >> My Channels are:
    >>
    >> gnome-community.channel openoffice-extras.channel packman.channel
    >> guru.channel openoffice-stable.channel smart.channel
    >> kde-backports.channel openoffice-unstable.channel suse-update.channel
    >> kde.channel opensuse.channel wine-bs.channel
    >> kde-community.channel opensuse-non-oss.channel
    >> mozilla.channel opensuse-tools.channel
    >>
    >> thanks

    >
    > Hi Matthias,
    >
    > have you seen any error during upgrade and, if yes, what you did to solve
    > them?
    >
    > Just as a blind guess it seems that Smart and programs
    > in /usr/lib/python2.5/site-packages/smart/ don't cooperate good.
    > Use YaST with only opensuse main repository enabled, search for smart and
    > request update (icon with letter z) and post what happens.
    >



+ Reply to Thread